import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as a } from "./PieIconComponent.js";
import { safeCustomElement as v } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (c, t, s, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, s) : t, p = c.length - 1, i; p >= 0; p--)
    (i = c[p]) && (e = (r ? i(t, s, e) : i(e)) || e);
  return r && e && f(t, s, e), e;
};
let o = class extends a {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chevronSplit", this.class = "c-pieIcon c-pieIcon--chevronSplit", this.name = "IconChevronSplit";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chevronSplit"><path d="M11.307 6.25 8 2.864 4.693 6.25l-.902-.936 3.5-3.597a1.068 1.068 0 0 1 1.444 0l3.509 3.658-.937.875Z"></path><path d="M4.693 9.75 8 13.049l3.307-3.378.893.919-3.5 3.596a1.068 1.068 0 0 1-1.444 0l-3.5-3.561.937-.875Z"></path></svg>`;
  }
};
n([
  l({ type: String, reflect: !0 })
], o.prototype, "size", 2);
n([
  l({ type: String, reflect: !0 })
], o.prototype, "class", 2);
o = n([
  v("icon-chevron-split")
], o);
export {
  o as IconChevronSplit
};
